Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class APCSheetHeaderSetAPCStatus_PopUp
    Inherits BaseObject

    Private _APCStatus As eAPCStatus

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property APCStatus As eAPCStatus
        Get
            Return _APCStatus
        End Get
        Set(value As eAPCStatus)
            SetPropertyValue("APCStatus", _APCStatus, value)
        End Set
    End Property
End Class
